# Rebuild with  '--with dbus' to enable dbus/Networkmanager support
%global nodbus_support %{?_with_dbus: %nil}%{?!_with_dbus: --disable-dbus-nm}

# Location where helper scripts are located
%define scripts_path /usr/lib/%{name}

Summary: The NIS daemon which binds NIS clients to an NIS domain
Name: ypbind
Version: 1.37.1
Release: %mkrel 4
Epoch: 3
License: GPL
Group: System/Servers
URL: http://www.linux-nis.org/nis/ypbind-mt/index.html
Source0: http://www.linux-nis.org/download/ypbind-mt/ypbind-mt-%{version}.tar.bz2

Source3: ypbind.service
Source4: ypbind-pre-setdomain
Source5: ypbind-post-waitbind

# Needed for autoreconf for patch 6
Patch0: ypbind-mt-1.37.1-automake-1.13.patch

# Fedora patches
Patch1: ypbind-1.11-gettextdomain.patch
Patch2: ypbind-mt-1.36-nistimeout.patch
Patch3: ypbind-helpman.patch

Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires: rpcbind
Requires: yp-tools
%if %{?nodbus_support: 0}%{?!nodbus_support: 1}
BuildRequires: dbus-devel
BuildRequires: dbus-glib >= 0.60
BuildRequires: networkmanager-devel
%endif
# autoconf, automake, systemd-devel needed for patch 6
# gettext-devel also needed for /usr/bin/autopoint
BuildRequires: autoconf automake systemd-devel gettext-devel

%description
The Network Information Service (NIS) is a system which provides
network information (login names, passwords, home directories, group
information) to all of the machines on a network.  NIS can enable
users to login on any machine on the network, as long as the machine
has the NIS client programs running and the user's password is
recorded in the NIS passwd database.  NIS was formerly known as Sun
Yellow Pages (YP).

This package provides the ypbind daemon.  The ypbind daemon binds NIS
clients to an NIS domain.  Ypbind must be running on any machines
which are running NIS client programs.

Install the ypbind package on any machines which are running NIS client
programs (included in the yp-tools package).  If you need an NIS server,
you'll also need to install the ypserv package to a machine on your
network.

%prep
%setup -q -n ypbind-mt-%{version}
%patch0 -p1
%patch1 -p1 -b .gettextdomain
%patch2 -p1 -b .nistimeout
%patch3 -p1 -b .helpman

%build
# autoreconf needed for patch 6
autoreconf -fi
%serverbuild
%configure --sbindir=/sbin %{?nodbus_support}
%make

%install
rm -rf %{buildroot}
%makeinstall sbindir=%{buildroot}/sbin

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 etc/yp.conf %{buildroot}%{_sysconfdir}/yp.conf
mkdir -p %{buildroot}/var/yp/binding

mkdir -p %{buildroot}%{_unitdir}
install -m 644 %{SOURCE3} %{buildroot}%{_unitdir}/ypbind.service
mkdir -p %{buildroot}%{scripts_path}
install -m 755 %{SOURCE4} %{buildroot}%{scripts_path}/ypbind-pre-setdomain
install -m 755 %{SOURCE5} %{buildroot}%{scripts_path}/ypbind-post-waitbind

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%_post_service ypbind

%preun
%_preun_service ypbind

%files -f %{name}.lang
%attr(755, root, root) /sbin/ypbind
%{_mandir}/*/*
%{_unitdir}/*
%{scripts_path}/*
%config(noreplace) %{_sysconfdir}/yp.conf
%dir /var/yp/binding
%doc README ChangeLog AUTHORS THANKS NEWS


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3:1.37.1-4.mga4
+ Revision: 533091
- Mageia 4 Mass Rebuild

* Sun Aug 25 2013 luigiwalser <luigiwalser> 3:1.37.1-3.mga4
+ Revision: 471520
- sync with fedora:
  - enable PrivateTmp feature
  - update helpman and nistimeout patches (systemd documentation)
  - clean up ypbind-pre-setdomain helper script

* Sun Aug 25 2013 luigiwalser <luigiwalser> 3:1.37.1-2.mga4
+ Revision: 471516
- try to fix newest automake error by specifying gettext version
- BR gettext-devel for autopoint
- use autoreconf -fi to try to fix build error

* Thu May 09 2013 luigiwalser <luigiwalser> 3:1.37.1-1.mga4
+ Revision: 412784
- add patch from fedora to sync help and man pages
- 1.37.1
- remove upstreamed patches

* Sun Mar 10 2013 luigiwalser <luigiwalser> 3:1.36-3.mga3
+ Revision: 402042
- Sync more changes from fedora:
  - Enhance ypbind(8) with info about NISTIMEOUT
  - Add suggestion about extending NISTIMEOUT if ypbind timeouts
  - Use sdnotify to inform systemd that daemon is ready
  - Add After: NetworkManager-wait-online.service (rhbz#846767)
  - Check presence of ypbind in /etc/rpc (rhbz#888778)
  - Make re-bind interval a tune-able option

* Mon Jan 14 2013 umeabot <umeabot> 3:1.36-2.mga3
+ Revision: 387612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 luigiwalser <luigiwalser> 3:1.36-1.mga3
+ Revision: 275828
- 1.36 (partial sync with fedora)

* Sat Jun 30 2012 nanardon <nanardon> 3:1.33-3.mga3
+ Revision: 265461
- fix rpcbind path

* Sat Jun 30 2012 nanardon <nanardon> 3:1.33-2.mga3
+ Revision: 265416
- switch to systemd (from Fedora works)

  + luigiwalser <luigiwalser>
    - fix source URL

* Tue Sep 06 2011 tv <tv> 3:1.33-1.mga2
+ Revision: 139499
- fix missing LSB keywords
- new release
- use bz2 sources

* Fri Apr 15 2011 nanardon <nanardon> 3:1.32-2.mga1
+ Revision: 85862
- 1.32

* Sun Jan 16 2011 nanardon <nanardon> 3:1.29.91-4.mga1
+ Revision: 19984
- cleanup useless white line
- imported package ypbind


* Sat Dec 04 2010 Oden Eriksson <oeriksson@mandriva.com> 3:1.29.91-4mdv2011.0
+ Revision: 608268
- rebuild

* Mon Nov 30 2009 Olivier Thauvin <nanardon@mandriva.org> 3:1.29.91-3mdv2010.1
+ Revision: 471694
- add usefull files as doc (NEWS, ChangeLog, ...)

* Mon Nov 30 2009 Olivier Thauvin <nanardon@mandriva.org> 3:1.29.91-2mdv2010.1
+ Revision: 471642
- patch0: ensure server list is updated when using broadcast (#56029)

* Mon Nov 23 2009 Olivier Thauvin <nanardon@mandriva.org> 3:1.29.91-1mdv2010.1
+ Revision: 469164
- 1.29.91

* Sat May 09 2009 Olivier Thauvin <nanardon@mandriva.org> 3:1.20.5-2mdv2010.0
+ Revision: 373774
- requires rpcbind instead portmap since portmap has been trashed

* Sun Mar 22 2009 Oden Eriksson <oeriksson@mandriva.com> 3:1.20.5-1mdv2009.1
+ Revision: 360450
- 1.20.5

* Tue Dec 23 2008 Oden Eriksson <oeriksson@mandriva.com> 3:1.20.4-2mdv2009.1
+ Revision: 317953
- rediffed one fuzzy patch

* Sat Aug 16 2008 Olivier Thauvin <nanardon@mandriva.org> 3:1.20.4-1mdv2009.0
+ Revision: 272494
- 1.20.4

* Tue Mar 04 2008 Oden Eriksson <oeriksson@mandriva.com> 3:1.20.2-4mdv2008.1
+ Revision: 178844
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 07 2007 Anssi Hannula <anssi@mandriva.org> 3:1.20.2-3mdv2008.0
+ Revision: 36219
- rebuild with correct optflags

  + Olivier Thauvin <nanardon@mandriva.org>
    - requires portmapper instead portmap


* Fri Feb 16 2007 Olivier Thauvin <nanardon@mandriva.org> 1.20.2-1mdv2007.0
+ Revision: 121971
- 1.20.2
- make dbus support optional and disable by default

* Sat Jul 22 2006 Olivier Thauvin <nanardon@mandriva.org> 3:1.19.1-4mdv2007.0
+ Revision: 41840
- rebuild
- Import ypbind

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 1.19.1-3mdk
- add LSB comments in initscript
- fix Requires post/preun

* Mon Jul 18 2005 Olivier Thauvin <nanardon@mandriva.org> 1.19-2mdk
- rpmlint fix

* Mon Jul 18 2005 Olivier Thauvin <nanardon@mandriva.org> 1.19-1mdk
- 1.19.1
- fix wrong conrestart check
- remove patch3, not need anymore

* Fri Aug 27 2004 Frederic Lepied <flepied@mandrakesoft.com> 1.17.3-1mdk
- new version

